gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget Base class for widgets that visualize an .

This class provides helper methods and properties for manipulating concrete widgets like and .

- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("adjust_bounds")
  Gtk.AdjustBoundsHandler Raised when the bounds of the range are adjusted.
- Property
  2.12.0.0
  GLib.Property("adjustment")
  Gtk.Adjustment Manipulate the underlying model of this range. The current underlying this range.
- Event
  2.12.0.0
  GLib.Signal("change_value")
  Gtk.ChangeValueHandler To be added To be added
- Property
  2.12.0.0
  GLib.Property("fill-level")
  System.Double To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("inverted")
  System.Boolean Manage whether the control of this range is manipulated in the opposite direction. Whether visual control of the range is currently inverted.

  Setting this to causes a widget to move from right to left, instead of left to right.

- Property
  2.12.0.0
  GLib.Property("lower-stepper-sensitivity")
  Gtk.SensitivityType Sensitivity policy for the lower end of the Range's adjustment. the .
- Event
  2.12.0.0
  GLib.Signal("move_slider")
  Gtk.MoveSliderHandler Raised when the user moves a slider.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAdjustBounds", Type=typeof(Gtk.Range))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChangeValue", Type=typeof(Gtk.Range))
  System.Boolean `` `` a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveSlider", Type=typeof(Gtk.Range))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideValueChanged", Type=typeof(Gtk.Range))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("restrict-to-fill-level")
  System.Boolean To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` Value difference for step movements, (see below). Value difference for page movements, (see below). Sets the step and page sizes for this range.

  The size is used when the user clicks the arrows or moves with arrow keys. The size is used for example when moving via Page Up or Page Down keys.

- Method
  2.12.0.0
  System.Void `` `` The minimum acceptable value for this range. The maximum acceptable value for this range. Sets the limits of this range.
- Property
  2.12.0.0
  GLib.Property("show-fill-level")
  System.Boolean To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("update-policy")
  Gtk.UpdateType Manage how often the value label is updated. The current update policy.
- Property
  2.12.0.0
  GLib.Property("upper-stepper-sensitivity")
  Gtk.SensitivityType Sensitivity policy for the upper end of the Range's adjustment. the .
- Property
  2.12.0.0
  System.Double Manage the value of this range. The current value of this range.
- Event
  2.12.0.0
  GLib.Signal("value_changed")
  System.EventHandler Raised when the value in this range changes.

  Connect to this event with a standard to find out when the value changes.